Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.builtins.swrlm
Class SWRLBuiltInLibraryImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.builtins.AbstractSWRLBuiltInLibrary
          edu.stanford.smi.protegex.owl.swrl.bridge.builtins.swrlm.SWRLBuiltInLibraryImpl

All Implemented Interfaces:
  SWRLBuiltInLibrary

    public class SWRLBuiltInLibraryImpl

extends AbstractSWRLBuiltInLibrary

Implementations library for SWRL mathematical built-in methods. See here for documentation on this library. See here for documentation on defining SWRL built-in libraries.

Constructor Summary
`SWRLBuiltInLibraryImpl()`

Method Summary
`boolean` | `eval(List<BuiltInArgument> arguments)`
`boolean` | `log(List<BuiltInArgument> arguments)` Returns true if the first argument is equal to the natural logarithm (base e) of the second argument.
`void` | `reset()`
`boolean` | `sqrt(List<BuiltInArgument> arguments)` Returns true if the first argument is equal to the square root of the second argument.

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.builtins.AbstractSWRLBuiltInLibrary
`getInvokingBridge, getInvokingBuiltInIndex, getInvokingRuleName, getIsInConsequent, getLibraryName, invokeBuiltInMethod, invokeResetMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SWRLBuiltInLibraryImpl

    public SWRLBuiltInLibraryImpl()

Method Detail

### reset

    public void reset()

  Specified by:
    `reset` in interface `SWRLBuiltInLibrary`
  Specified by:
    `reset` in class `AbstractSWRLBuiltInLibrary`

### sqrt

    public boolean sqrt(List<BuiltInArgument> arguments)
                 throws BuiltInException

  Returns true if the first argument is equal to the square root of the second argument. If the first argument is unbound, bind it to the square root of the second argument.

  Throws:
    `BuiltInException`

### log

    public boolean log(List<BuiltInArgument> arguments)
                throws BuiltInException

  Returns true if the first argument is equal to the natural logarithm (base e) of the second argument. If the first argument is unbound, bind it to the natural logarithm of the second argument.

  Throws:
    `BuiltInException`

### eval

    public boolean eval(List<BuiltInArgument> arguments)
                 throws BuiltInException

  Throws:
    `BuiltInException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.